// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/

import Foundation

protocol URLSessionProtocol {
    typealias DataTaskResult = (Data?, URLResponse?, Error?) -> Void

    func dataTaskWith(_ url: URL,
                      completionHandler: @escaping DataTaskResult
    ) -> URLSessionDataTaskProtocol
}

extension URLSession: URLSessionProtocol {

    func dataTaskWith(_ url: URL,
                      completionHandler: @escaping DataTaskResult
    ) -> URLSessionDataTaskProtocol {
        dataTask(with: url, completionHandler: completionHandler) as URLSessionDataTaskProtocol
    }
}
